package com.yh.saas.plugin.yiliangyiyun.mapper;

import com.yh.saas.plugin.yiliangyiyun.entity.StockPurchaseReceiptReport;
import com.yh.saas.plugin.yiliangyiyun.entity.StockSaleReceiptReport;
import com.baomidou.mybatisplus.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 现货销售入库报表 Mapper 接口
 * </p>
 *
 * @author Gdc
 * @since 2021-09-22
 */
public interface StockSaleReceiptReportMapper extends BaseMapper<StockSaleReceiptReport> {

    /**
     * 根据条件查询销售出库统计总数
     *
     * @param pageView
     * @return
     */
    Integer getCountByCondition(Map<String, Object> pageView);

    /**
     * 根据条件查询销售出库统计列表
     *
     * @param pageView
     * @return
     */
    List<StockSaleReceiptReport> getListByCondition(Map<String, Object> pageView);

    String getAmonutIn(Map<String, Object> pageView);
    String getAmonutOut(Map<String, Object> pageView);
    String getAmonutMao(Map<String, Object> pageView);
}
